//-----------------------------------------------------------------------------
// Name: DMusic_PlayMIDI
//
// Description: Example code showing how to play a MIDI file
//
// File Function: Header file for the program (main.h)
//
// Code: 
//		Copyright (c) 2002 LostLogic Corporation. All rights reserved.
//
// Libraries Required:
//		dxguid.lib winmm.lib dsound.lib
//
// Local Files Required:
//		main.cpp
//		main.h
//		DXUtil.cpp
//
// DX Files: 
//		Copyright (c) 1997-2001 Microsoft Corporation. All rights reserved.
//-----------------------------------------------------------------------------
#ifndef MAIN_H
#define MAIN_H

#define STRICT
#include <windows.h>
#include <stdio.h>
#include <D3DX9.h>
#include <dmusici.h>
#include <dxutil.h>

//-----------------------------------------------------------------------------
// Function headers
//-----------------------------------------------------------------------------
LRESULT WINAPI fnMessageProcessor( HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam );
void vCleanup( void );
bool bInitializeSoundSystem( HWND hWnd );
void vPlaySound( void );

// Global sound data
IDirectMusicLoader8			*g_pLoader;
IDirectMusicPerformance8	*g_pPerformance;
IDirectMusicSegment8		*g_pSound;

#endif
