//-----------------------------------------------------------------------------
// Name: DShow_PlayMP3
//
// Description: Example code showing how to play a MP3 file
//
// File Function: Header file for the program (main.h)
//
// Code: 
//		Copyright (c) 2002 LostLogic Corporation. All rights reserved.
//
// Libraries Required:
//		dxguid.lib winmm.lib Strmiids.lib
//
// Local Files Required:
//		main.cpp
//		main.h
//		DXUtil.cpp
//
// DX Files: 
//		Copyright (c) 1997-2001 Microsoft Corporation. All rights reserved.
//-----------------------------------------------------------------------------
#ifndef MAIN_H
#define MAIN_H

#define STRICT
#include <windows.h>
#include <stdio.h>
#include <D3DX9.h>
#include <dxutil.h>
#include <dshow.h>

//-----------------------------------------------------------------------------
// Function headers
//-----------------------------------------------------------------------------
LRESULT WINAPI fnMessageProcessor( HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam );
void vCleanup( void );
bool bPlayTitleMusic( void );
void vStopTitleMusic( void );
void vCheckMusicStatus( void );

// Global MP3 Data
bool			g_bBackgroundMusicActive = 0;
IGraphBuilder	*g_pGraph;
IMediaControl	*g_pMediaControl;
IMediaEvent		*g_pEvent;
IMediaSeeking	*g_pSeeking;

#endif

