//-----------------------------------------------------------------------------
// Name: DSound_SoundSystem
//
// Description: Example code showing how to implement a sound system to handle
//				DirectSound functions.
//
// File Function: Header file for the program (main.h)
//
// Code: 
//		Copyright (c) 2002-2003 LostLogic Corporation. All rights reserved.
//
// Libraries Required:
//		dxguid.lib comctl32.lib winmm.lib dsound.lib
//
// Local Files Required:
//		main.cpp
//		main.h
//		SoundSystem.cpp
//		SoundSystem.h
//		DXUtil.cpp
//
// DX Files: 
//		Copyright (c) 1997-2001 Microsoft Corporation. All rights reserved.
//-----------------------------------------------------------------------------
#ifndef MAIN_H
#define MAIN_H

#define STRICT
#include <windows.h>
#include <commctrl.h>
#include <commdlg.h>
#include <math.h>
#include <tchar.h>
#include <stdio.h>
#include "DXUtil.h"
#include "SoundSystem.h"

//-----------------------------------------------------------------------------
// Function headers
//-----------------------------------------------------------------------------
LRESULT WINAPI fnMessageProcessor( HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam );
void vCleanup( void );
bool bInitializeSoundSystem( void );

// Global sound data
SoundSystem		g_SoundSys;
GameSound		*g_sndButton;
GameSound		*g_sndButtonOver;

#endif

